<script setup>
// imports
import { ref, computed } from "vue";
import IconUpArrow from "../icons/IconUpArrow.vue";
// props
const props = defineProps(["price"]);
// data
const priceColor = computed(() => {
  let minusValue =
    props.price?.price_type_3[0]?.sell_price -
    props.price?.price_type_3[1]?.sell_price;
  let color = "";
  if (minusValue === 0) {
    color = "default_color";
  } else if (minusValue < 0) {
    color = "red_color";
  } else {
    color = "green_color";
  }
  return color;
});
const addCommas = (number) => {
  return number.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
};
</script>
<template>
  <div
    class="aspect-square bg-bg-secondary rounded-[20px] p-4 flex flex-col justify-between gap-4"
  >
    <div class="flex items-center justify-between gap-3">
      <img
        :src="props.price.icon"
        class="min-w-max"
        :alt="props.price.english_title"
      />
      <div class="truncate">
        <div
          class="text-txt-secondary font-bold text-[14px] text-right truncate"
        >
          {{ props.price.english_title }}
        </div>
        <div class="text-[18px] font-bold text-txt-primary text-right truncate">
          {{ props.price.symbol }}
        </div>
      </div>
    </div>
    <div>
      <div class="text-txt-secondary font-medium text-[14px]">
        {{ addCommas(props.price?.price_type_3[0]?.buy_price) }}
      </div>
      <div :class="priceColor" class="text-[30px] font-bold flex items-center">
        <IconUpArrow :class="priceColor === 'red_color' && 'rotate-180 block'" />
        <span>{{ addCommas(props.price?.price_type_3[0]?.sell_price) }}</span>
      </div>
    </div>
  </div>
</template>
<style scoped>
.default_color {
  @apply text-txt-primary;
}
.red_color {
  @apply text-txt-red;
}
.green_color {
  @apply text-txt-green;
}
</style>
